Bug 836706 - [abrt] cuneiform-1.1.0-7.fc17: CSTR_GetNextRaster: Process /usr/bin/cuneiform was killed by signal 11 (SIGSEGV)
[abrt] cuneiform-1.1.0-7.fc17: CSTR_GetNextRaster: Process /usr/bin/cuneiform...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cuneiform (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
abrt_hash:f7318c800c227781ac0415058ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 02:44 EDT by Artyom Kunyov
Modified: 2012-08-05 17:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.04 KB, text/plain)
2012-06-30 02:44 EDT, Artyom Kunyov
no flags Details
File: maps (28.39 KB, text/plain)
2012-06-30 02:44 EDT, Artyom Kunyov
no flags Details
File: dso_list (6.64 KB, text/plain)
2012-06-30 02:44 EDT, Artyom Kunyov
no flags Details
Sample file (870.95 KB, image/png)
2012-07-24 06:39 EDT, Artyom Kunyov
no flags Details

  None (edit)
Description Artyom Kunyov 2012-06-30 02:44:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        cuneiform -l rus -f text -o /home/artkun/.config/yagf/output.txt /home/artkun/.config/yagf/input.bmp
comment:        Crashes when I try to recognize a small png file with Russian text using YAGF.
crash_function: CSTR_GetNextRaster
executable:     /usr/bin/cuneiform
kernel:         3.4.3-1.fc17.x86_64
pid:            28218
pwd:            /home/artkun/.config/yagf
time:           Sat 30 Jun 2012 12:41:25 PM YEKT
uid:            1000
username:       artkun

backtrace:      Text file, 28711 bytes
dso_list:       Text file, 6801 bytes
maps:           Text file, 29076 bytes

build_ids:
:a2c31828ac9d9aedbbd0b819b3cf4c267647c219
:04e4366c300a5b31e3119fddabd96aa7c07a5836
:dce978c782c9eb1c3447d342c2cc6b4b3f8adc18
:1774f823099eff721b8b9d715ead771592a27c7e
:b623afd41a43ff1a1d1b2399db49d551367ba5cf
:54a5cc118d928470da13565de8592b664a9868e0
:f01548387bd0c5850817617a58382754704a0014
:507267c668f1537551612c7f1eaf058f1021c81b
:73777e822e00ca152ffca281ab0ace0cb498ec48
:050ca0a2a43892ee4ee6f9142c5a23c0bf184a93
:c84f751f8f8b8b048ae5cdb50fe874ba5f28bf6c
:5ab0d41cd9fd4c4e554a84e26e0a149d3383ab36
:ff5a0c299ee54a2580475ad0d6cae351ec6cd4f6
:5ac8d614d3ee901ed15d7c0781dceaf32bbc0ccf
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:9e9e4df8308641c030eb362e412a6b85eeec6679
:5455e696a2fe82642286479825d2fc4a0e97cba1
:d594cf248303d0e0d8728e1e45876671b2dac300
:a47beea5001bef3462dae35a68e144c4ac2dccc1
:5bc884a584409f6016433adc5f4286014d9e6dab
:7283f10b46462e6e2883c192e6e40e4cd33a8afe
:b0ec5533a781da4651c73cca799c669b27c1047d
:25bf2503b0db224b51ad695455d55a3b0cd70c7b
:e91010b497ec024178c36f4365b21f668bada0ca
:2f7f972c9c40a92aa8618e7087b74fdfba3357dd
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:c458619a268f2753fc38358569cdd6301cd4f6d5
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:712a8ccad54d22068d6c8dde6395f5b4b3a72659
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:00ea91b27988c59de0e334e13220a422237aa995
:f64b7319b84d426ed547084bdb2577f4f596c18f
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:2534330b2d5621705af620d92d74660f2b1199a0
:432673620d62333d4fd707b7bed13abe192f8b35
:9261690b026e6539c18f0495c70cb3abe4ebfc23
:516204cfc31148538d56b21e2f1b945ed50127d4
:2157a544074425e2ea58539a5dfb1545b74eed35
:c4ec0971b2dcee71aaf8374975474054245fea00
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:fa4396d0c721b7ecdcea20ec9f2bcb76e06ce11a
:af26fc04b5f4e93c1a99173043096ca67499401b
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:8255cf211b343ce4a2c9ed68709cd78753a737ce
:66eb927f30090a7732172befa300ad0627029df2
:6d6989c813b44eb0db00d952f2c797c587708d76
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7636c702b0e5dfc658513f827fe2b6eb930293bd
:247132297f287226a24c12e683292f5c94013066
:4d09d82785dab5f95c01b69bc0785145a5954d30
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:0ed882d2b60e36564025a6b25a882ff84ad905dc
:2cd5763854e6fb91eb95941aedd04c06dde9d26a
:6b4e5cec619398a4e10d4d376dc893b62a831646
:63bc1295406b63a2117e81d2415ba5e617542490
:9ad4868754996b78b04fe21e9782f07b267391c6
:822e9b3523e8312240f41a25722d539bc77ed436
:49fbfe2b0903023c9613860645ddd120592a01b6
:43367e3d2277b86f830cb5298002380598df835b
:67532dcfc1c22f5725bb7683baccef817e4cf547
:3d9bb5e907e800e91e872f16c0f56989cc76d0e6
:ffa857732c1f88e3e98f9db5f0df033a701236b3
:81244efb6aaa48f3935d2343ca8a79073d040547
:5dd234206476b0387cd251598aa72a2c95c763c5
:be2da190eb53c16ce29f2dd36ba3e2c6a44462fb
:822fa2a3d8870eb05aaf8cd4d151e1838a239fc8
:1d4df97fa6024b097b634a272447243c95c26d85
:1d98eed6b5e2a2180ba5663aa94553af052bd467
:72b36d2421e9542f04402043378f036f192be3d7
:1f285a110c955dc1178a3dbc753b54d9609e8f46
:a2b9d9e3d36b33e8f972e073e54badc623b59bc6
:c488b552f42ae0131c435e3a51fd34fe14d5f8e0
:6d5d883873e014b6093aa818c6f6e8023586cc21
:a3f69af6f3dcc426e705f3a0a4186cc359abda88

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/artkun/4

core_backtrace:
:1d98eed6b5e2a2180ba5663aa94553af052bd467 0x57e8 CSTR_GetNextRaster libcstr.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x21935 - librbal.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x21286 - librbal.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x15b14 - librbal.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x1319a - librbal.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x10fd2 - librbal.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x1c89b - librbal.so.0 -
:750dc0dfbac80529a0a68247d48cf2c4a9b2a30b 0x4b2e BAL_basefin librbal.so.0 -
:ffa857732c1f88e3e98f9db5f0df033a701236b3 0xfa461 - librstr.so.0 -
:ffa857732c1f88e3e98f9db5f0df033a701236b3 0xd35ec - librstr.so.0 -
:ffa857732c1f88e3e98f9db5f0df033a701236b3 0xf49f3 RSTRRecognizeMain librstr.so.0 -
:ffa857732c1f88e3e98f9db5f0df033a701236b3 0xf4553 RSTRRecognize librstr.so.0 -
:ffa857732c1f88e3e98f9db5f0df033a701236b3 0xf557c RSTR_Recog librstr.so.0 -
:2cd5763854e6fb91eb95941aedd04c06dde9d26a 0xe0cb - libcuneiform.so.0 -
:2cd5763854e6fb91eb95941aedd04c06dde9d26a 0xec1b - libcuneiform.so.0 -
:2cd5763854e6fb91eb95941aedd04c06dde9d26a 0x10ae6 PUMA_XFinalRecognition libcuneiform.so.0 -
:5ab0d41cd9fd4c4e554a84e26e0a149d3383ab36 0x3971 _start [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=M1530
:SHELL=/bin/bash
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/artkun/keyring-GMoCbk
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=artkun
:USERNAME=artkun
:MAIL=/var/spool/mail/artkun
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/artkun/.local/bin:/home/artkun/bin
:DESKTOP_SESSION=gnome
:PWD=/home/artkun
:GNOME_KEYRING_PID=2064
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/artkun
:SHLVL=1
:LOGNAME=artkun
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SKkSuyPjaO,guid=e0dc5e3dc43d63da168028950000005b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/artkun
:DISPLAY=:1
:XAUTHORITY=/var/run/gdm/auth-for-artkun-jGbaoL/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2068,unix/unix:/tmp/.ICE-unix/2068
:GPG_AGENT_INFO=/run/user/artkun/keyring-GMoCbk/gpg:0:1
:SSH_AUTH_SOCK=/run/user/artkun/keyring-GMoCbk/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/YAGF.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=28085

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31474                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31474                31474                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[346101]
:pos:	0
:flags:	00
:1:pipe:[346102]
:pos:	0
:flags:	01
:2:pipe:[346103]
:pos:	0
:flags:	01
:3:/tmp/cuneiform-XMOOTWc/ct666666.CTB
:pos:	62100
:flags:	0100002
:4:/tmp/cuneiform-XMOOTWc/ct666666.IND
:pos:	4456
:flags:	0100002

var_log_messages:
:Jun 30 12:22:20 M1530 yum[26546]: Installed: cuneiform-1.1.0-7.fc17.x86_64
:Jun 30 12:40:14 M1530 kernel: [59894.831001] cuneiform[28092] general protection ip:7f3a755637e8 sp:7fffd6b660c0 error:0 in libcstr.so.1.1.0[7f3a7555e000+c000]
:Jun 30 12:40:15 M1530 abrt[28094]: Saved core dump of pid 28092 (/usr/bin/cuneiform) to /var/spool/abrt/ccpp-2012-06-30-12:40:14-28092 (27922432 bytes)
:Jun 30 12:40:36 M1530 kernel: [59916.619848] cuneiform[28129] general protection ip:7fc6973d37e8 sp:7fff4b81c610 error:0 in libcstr.so.1.1.0[7fc6973ce000+c000]
:Jun 30 12:40:36 M1530 abrt[28131]: Saved core dump of pid 28129 (/usr/bin/cuneiform) to /var/spool/abrt/ccpp-2012-06-30-12:40:36-28129 (25604096 bytes)
:Jun 30 12:41:25 M1530 kernel: [59965.357571] cuneiform[28218] general protection ip:7fd1dd86b7e8 sp:7fff94faceb0 error:0 in libcstr.so.1.1.0[7fd1dd866000+c000]
:Jun 30 12:41:25 M1530 abrt[28220]: Saved core dump of pid 28218 (/usr/bin/cuneiform) to /var/spool/abrt/ccpp-2012-06-30-12:41:25-28218 (25595904 bytes)
Comment 1 Artyom Kunyov 2012-06-30 02:44:48 EDT
Created attachment 595417 [details]
File: backtrace
Comment 2 Artyom Kunyov 2012-06-30 02:44:51 EDT
Created attachment 595418 [details]
File: maps
Comment 3 Artyom Kunyov 2012-06-30 02:44:53 EDT
Created attachment 595419 [details]
File: dso_list
Comment 4 Dmitrij S. Kryzhevich 2012-07-02 00:03:59 EDT
Common problem, upstream has bugreport.

But upstream is dead. I'l try to look, no promisses.
Comment 5 Dmitrij S. Kryzhevich 2012-07-02 04:11:11 EDT
Samlpe file is required. Could you provide yours one?
Comment 6 Dmitrij S. Kryzhevich 2012-07-02 05:45:20 EDT
Please try this http://koji.fedoraproject.org/koji/taskinfo?taskID=4212398
Comment 7 Artyom Kunyov 2012-07-24 06:39:37 EDT
Created attachment 599985 [details]
Sample file
Comment 8 Fedora Update System 2012-07-26 03:21:35 EDT
cuneiform-1.1.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cuneiform-1.1.0-9.fc17
Comment 9 Fedora Update System 2012-07-26 18:29:04 EDT
Package cuneiform-1.1.0-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cuneiform-1.1.0-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11143/cuneiform-1.1.0-9.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-08-05 17:23:57 EDT
cuneiform-1.1.0-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.